Bug 194614 - [maintainer update][patch] update www/piwigo to 2.7.1
Summary: [maintainer update][patch] update www/piwigo to 2.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-26 15:18 UTC by glz
Modified: 2014-11-13 14:14 UTC (History)
2 users (show)

See Also:


Attachments
svn diff (101.84 KB, patch)
2014-10-26 15:18 UTC, glz
no flags Details | Diff
svn diff (102.05 KB, patch)
2014-10-26 17:10 UTC, glz
no flags Details | Diff
piwigo 2.7.1 patch (80.32 KB, patch)
2014-11-07 08:36 UTC, Ralf van der Enden
no flags Details | Diff
piwigo 2.7.1 build log (31.93 KB, text/plain)
2014-11-07 09:59 UTC, Ralf van der Enden
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description glz 2014-10-26 15:18:10 UTC
Created attachment 148669 [details]
svn diff

Update of Piwigo 2.6.3 to 2.7.1.
This is a feature and bugfix update.

For full description, see release notes http://piwigo.org/releases/2.7.0 and http://piwigo.org/releases/2.7.1
Comment 1 glz 2014-10-26 17:10:17 UTC
Created attachment 148671 [details]
svn diff

Missed the change from _WEB to _MOD
Comment 2 John Marino freebsd_committer 2014-11-01 12:43:18 UTC
The patch is invalid.  @dir is not a new name for @dirrm.
99% of the time, @dirrm* lines need to be removed, not modified.  I think that's the case here.  Please review the @dir entry in /usr/ports/CHANGES .
Comment 3 Ralf van der Enden 2014-11-07 08:36:36 UTC
Created attachment 149153 [details]
piwigo 2.7.1 patch

I was also working on the piwigo port, so here's my patch. This one should have only the necessary @dir entries. I also cleaned up the Makefile a bit.

In my opinion copying the local directory to local.sample has become obsolete, since they would both contain the same files initially, but only completing the installation from within the piwigo UI will create a config.inc.php and database.inc.php. These will not be removed by a pkg delete, since those are created post-installation of the port.
Comment 4 Ralf van der Enden 2014-11-07 09:59:35 UTC
Created attachment 149154 [details]
piwigo 2.7.1 build log
Comment 5 John Marino freebsd_committer 2014-11-07 11:07:51 UTC
Ralf's patch looks good to me and it comes with a test log.

I will make the assumption that the maintainer will approve this improvement on his on submission and promote this PR to the patch-ready pool.
Comment 6 glz 2014-11-07 11:12:44 UTC
More than happy to approve. And if Ralf want's to take over maintainership, that would be great!
(In reply to John Marino from comment #5)
> Ralf's patch looks good to me and it comes with a test log.
> 
> I will make the assumption that the maintainer will approve this improvement
> on his on submission and promote this PR to the patch-ready pool.
Comment 7 Ralf van der Enden 2014-11-07 11:50:00 UTC
I'd be happy to take over maintainership.
Comment 8 glz 2014-11-10 01:42:33 UTC
(In reply to Ralf van der Enden from comment #7)
> I'd be happy to take over maintainership.

Please do.

/glz
Comment 9 commit-hook freebsd_committer 2014-11-13 14:09:14 UTC
A commit references this bug:

Author: robak
Date: Thu Nov 13 14:08:46 UTC 2014
New revision: 372520
URL: https://svnweb.freebsd.org/changeset/ports/372520

Log:
  www/piwigo: update 2.6.3 -> 2.7.1

  - Change maintainership to tremere@cainites.net (maintainer approved)
  - Drop @dirrm usage from pkg-plist

  PR:		194614
  Submitted by:	Ralf van der Enden <tremere@cainites.net>
  Approved by:	mentors (implicit)

Changes:
  head/www/piwigo/Makefile
  head/www/piwigo/distinfo
  head/www/piwigo/pkg-plist
Comment 10 Bartek Rutkowski freebsd_committer 2014-11-13 14:14:57 UTC
Committed with minor changes (mhash is no loger valid knob in USE_PHP), thanks for your work so far Goran, and Ralph, thanks a lot for volunteering!